# module Psych::Streaming

### Public Instance Methods

start(encoding = Nodes::Stream::UTF8) { |self| ... } click to toggle source

Start streaming using `encoding`

Calls superclass method

    # File lib/psych/streaming.rb, line 18
    def start encoding = Nodes::Stream::UTF8
      super.tap { yield self if block_given?  }
    ensure
      finish if block_given?
    end

### Private Instance Methods

register(target, obj) click to toggle source

    # File lib/psych/streaming.rb, line 25
    def register target, obj
    end